%global major		0
%global libname		%mklibname %{name} %{major}
%global develname	%mklibname %{name} -d

Name:		xxhash
Version:	0.8.2
Release:	%mkrel 1
Summary:	Extremely fast hash algorithm
Group:		Development/Other

#		The source for the library (xxhash.c and xxhash.h) is BSD
#		The source for the command line tool (xxhsum.c) is GPLv2+
License:	BSD and GPLv2+
URL:		https://www.xxhash.com/
Source0:	https://github.com/Cyan4973/xxHash/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gcc

%description
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %libname
Summary:	Extremely fast hash algorithm - library
License:	BSD
Group: System/Libraries


%description -n %libname
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package -n %develname
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Group: Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
Development files for the xxhash library.

%prep
%setup -q -n xxHash-%{version}

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

rm %{buildroot}%{_libdir}/libxxhash.a

%files
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*

%files -n %libname
%{_libdir}/libxxhash.so.%{major}{,.*}

%files -n %develname
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc


%changelog
* Wed Sep 20 2023 tex  -  0.8.2-1pclos2023
- new version: 0.8.2
